### Function

# Gegl Operationlist_properties

#### Declaration [src]

    GParamSpec**
    gegl_operation_list_properties (
      const gchar* operation_type,
      guint* n_properties_p
    )

#### Description

No description available.

#### Parameters

`operation_type`

  Type: `const gchar*`

  The name of the operation type we want to query to properties of.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`n_properties_p`

  Type: `guint*`

  Return location for number of properties.

  The argument will be set by the function.

#### Return value

Type: An array of `GParamSpec*`

An allocated array of `GParamSpecs` describing the properties of the operation available when a node has operation_type set. The list should be freed with g_free after use.

The length of the array is in the `n_properties_p` argument.
The caller of the function takes ownership of the data container, but not the data inside it.